### Method

# Gio MenuItem set_detailed_action

since: 2.32

#### Declaration [src]

    void
    g_menu_item_set_detailed_action (
      GMenuItem* menu_item,
      const gchar* detailed_action
    )

#### Description [src]

Sets the “action” and possibly the “target” attribute of `menu_item`.

The format of `detailed_action` is the same format parsed by g_action_parse_detailed_name().

See `g_menu_item_set_action_and_target()` or `g_menu_item_set_action_and_target_value()` for more flexible (but slightly less convenient) alternatives.

See also `g_menu_item_set_action_and_target_value()` for a description of the semantics of the action and target attributes.

Available since: 2.32

#### Parameters

`detailed_action`

  Type: `const gchar*`

  The “detailed” action string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.